{*************************************************************************}
{* Revelation Mentis, written in 1999 and 2002 by Julian Fietkau         *}
{*************************************************************************}
{* Released to the public in 2015.                                       *}
{* https://fietkau.media/revelation_mentis                               *}
{*************************************************************************}
{* Creative Commons Legal Code                                           *}
{*                                                                       *}
{* CC0 1.0 Universal                                                     *}
{*                                                                       *}
{*     CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT       *}
{*     PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS DOCUMENT DOES NOT    *}
{*     CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES *}
{*     THIS INFORMATION ON AN "AS-IS" BASIS. CREATIVE COMMONS MAKES NO   *}
{*     WARRANTIES REGARDING THE USE OF THIS DOCUMENT OR THE INFORMATION  *}
{*     OR WORKS PROVIDED HEREUNDER, AND DISCLAIMS LIABILITY FOR DAMAGES  *}
{*     RESULTING FROM THE USE OF THIS DOCUMENT OR THE INFORMATION OR     *}
{*     WORKS PROVIDED HEREUNDER.                                         *}
{*                                                                       *}
{* Statement of Purpose                                                  *}
{*                                                                       *}
{* The laws of most jurisdictions throughout the world automatically     *}
{* confer exclusive Copyright and Related Rights (defined below) upon    *}
{* the creator and subsequent owner(s) (each and all, an "owner") of an  *}
{* original work of authorship and/or a database (each, a "Work").       *}
{*                                                                       *}
{* Certain owners wish to permanently relinquish those rights to a Work  *}
{* for the purpose of contributing to a commons of creative, cultural    *}
{* and scientific works ("Commons") that the public can reliably and     *}
{* without fear of later claims of infringement build upon, modify,      *}
{* incorporate in other works, reuse and redistribute as freely as       *}
{* possible in any form whatsoever and for any purposes, including       *}
{* without limitation commercial purposes. These owners may contribute   *}
{* to the Commons to promote the ideal of a free culture and the further *}
{* production of creative, cultural and scientific works, or to gain     *}
{* reputation or greater distribution for their Work in part through the *}
{* use and efforts of others.                                            *}
{*                                                                       *}
{* For these and/or other purposes and motivations, and without any      *}
{* expectation of additional consideration or compensation, the person   *}
{* associating CC0 with a Work (the "Affirmer"), to the extent that he   *}
{* or she is an owner of Copyright and Related Rights in the Work,       *}
{* voluntarily elects to apply CC0 to the Work and publicly distribute   *}
{* the Work under its terms, with knowledge of his or her Copyright and  *}
{* Related Rights in the Work and the meaning and intended legal effect  *}
{* of CC0 on those rights.                                               *}
{*                                                                       *}
{* 1. Copyright and Related Rights. A Work made available under CC0 may  *}
{* be protected by copyright and related or neighboring rights           *}
{* ("Copyright and Related Rights"). Copyright and Related Rights        *}
{* include, but are not limited to, the following:                       *}
{*                                                                       *}
{*   i. the right to reproduce, adapt, distribute, perform, display,     *}
{*      communicate, and translate a Work;                               *}
{*  ii. moral rights retained by the original author(s) and/or           *}
{*      performer(s);                                                    *}
{* iii. publicity and privacy rights pertaining to a person's image or   *}
{*      likeness depicted in a Work;                                     *}
{*  iv. rights protecting against unfair competition in regards to a     *}
{*      Work, subject to the limitations in paragraph 4(a), below;       *}
{*   v. rights protecting the extraction, dissemination, use and reuse   *}
{*      of data in a Work;                                               *}
{*  vi. database rights (such as those arising under Directive 96/9/EC   *}
{*      of the European Parliament and of the Council of 11 March 1996   *}
{*      on the legal protection of databases, and under any national     *}
{*      implementation thereof, including any amended or successor       *}
{*      version of such directive); and                                  *}
{* vii. other similar, equivalent or corresponding rights throughout the *}
{*      world based on applicable law or treaty, and any national        *}
{*      implementations thereof.                                         *}
{*                                                                       *}
{* 2. Waiver. To the greatest extent permitted by, but not in            *}
{* contravention of, applicable law, Affirmer hereby overtly, fully,     *}
{* permanently, irrevocably and unconditionally waives, abandons, and    *}
{* surrenders all of Affirmer's Copyright and Related Rights and         *}
{* associated claims and causes of action, whether now known or unknown  *}
{* (including existing as well as  future claims and causes of action),  *}
{* in the Work (i) in all territories worldwide, (ii) for the maximum    *}
{* duration provided by applicable law or treaty (including future time  *}
{* extensions), (iii) in any current or future medium and for any number *}
{* of copies, and (iv) for any purpose whatsoever, including without     *}
{* limitation commercial, advertising or promotional purposes (the       *}
{* "Waiver"). Affirmer makes the Waiver for the benefit of each member   *}
{* of the public at large and to the detriment of Affirmer's heirs and   *}
{* successors, fully intending that such Waiver shall not be subject to  *}
{* revocation, rescission, cancellation, termination, or any other legal *}
{* or equitable action to disrupt the quiet enjoyment of the Work by the *}
{* public as contemplated by Affirmer's express Statement of Purpose.    *}
{*                                                                       *}
{* 3. Public License Fallback. Should any part of the Waiver for any     *}
{* reason be judged legally invalid or ineffective under applicable law, *}
{* then the Waiver shall be preserved to the maximum extent permitted    *}
{* taking into account Affirmer's express Statement of Purpose. In       *}
{* addition, to the extent the Waiver is so judged Affirmer hereby       *}
{* grants to each affected person a royalty-free, non transferable, non  *}
{* sublicensable, non exclusive, irrevocable and unconditional license   *}
{* to exercise Affirmer's Copyright and Related Rights in the Work (i)   *}
{* in all territories worldwide, (ii) for the maximum duration provided  *}
{* by applicable law or treaty (including future time extensions), (iii) *}
{* in any current or future medium and for any number of copies, and     *}
{* (iv) for any purpose whatsoever, including without limitation         *}
{* commercial, advertising or promotional purposes (the "License"). The  *}
{* License shall be deemed effective as of the date CC0 was applied by   *}
{* Affirmer to the Work. Should any part of the License for any reason   *}
{* be judged legally invalid or ineffective under applicable law, such   *}
{* partial invalidity or ineffectiveness shall not invalidate the        *}
{* remainder of the License, and in such case Affirmer hereby affirms    *}
{* that he or she will not (i) exercise any of his or her remaining      *}
{* Copyright and Related Rights in the Work or (ii) assert any           *}
{* associated claims and causes of action with respect to the Work, in   *}
{* either case contrary to Affirmer's express Statement of Purpose.      *}
{*                                                                       *}
{* 4. Limitations and Disclaimers.                                       *}
{*                                                                       *}
{*  a. No trademark or patent rights held by Affirmer are waived,        *}
{*     abandoned, surrendered, licensed or otherwise affected by this    *}
{*     document.                                                         *}
{*  b. Affirmer offers the Work as-is and makes no representations or    *}
{*     warranties of any kind concerning the Work, express, implied,     *}
{*     statutory or otherwise, including without limitation warranties   *}
{*     of title, merchantability, fitness for a particular purpose, non  *}
{*     infringement, or the absence of latent or other defects,          *}
{*     accuracy, or the present or absence of errors, whether or not     *}
{*     discoverable, all to the greatest extent permissible under        *}
{*     applicable law.                                                   *}
{*  c. Affirmer disclaims responsibility for clearing rights of other    *}
{*     persons that may apply to the Work or any use thereof, including  *}
{*     without limitation any person's Copyright and Related Rights in   *}
{*     the Work. Further, Affirmer disclaims responsibility for          *}
{*     obtaining any necessary consents, permissions or other rights     *}
{*     required for any use of the Work.                                 *}
{*  d. Affirmer understands and acknowledges that Creative Commons is    *}
{*     not a party to this document and has no duty or obligation with   *}
{*     respect to this CC0 or use of the Work.                           *}
{*************************************************************************}

program RevelationMentis;

uses crt;

const max           : integer=26;

var bew             : char;
    startx,starty   : byte;
    posx,posy       : byte;
    oldposx,oldposy : byte;
    pposx,pposy     : byte;
    ende,ende1      : boolean;
    richtung        : byte;
    i,j             : byte;
    password        : string;
    gposx,gposy     : array[1..26] of integer;
    bposx,bposy     : array[1..26] of integer;


procedure Intro;
begin
  textbackground(0);
  clrscr;
  textcolor(15);
  gotoxy(15,7);
  write('Vor langer Zeit an einem sehr weit entfernten Ort...');
  gotoxy(63,25);
  textcolor(8+blink);
  write('Bitte Leertaste ',#25);
  repeat bew:=readkey until bew=#32;
  clrscr;
  textbackground(0);
  clrscr;
  textcolor(white);
  writeln('...lebte ein Volk, das keinen Gttern huldigt und keinen Knig verehrt. Es');
  writeln('schpfte seine Kraft nur aus einem, dem Artefakt des Lichtes. Dieses Volk');
  writeln('lebte lange Zeit glcklich, bis Lord Omega das Artefakt aus dem Tempel des');
  writeln('Lichtes stahl. Er zerstckelte es in vier Teile, die berall im Land verstreut');
  writeln('sind.');
  gotoxy(wherex+20,wherey+3);
  textcolor(red);
  write(#3);
  gotoxy(wherex+14,wherey+8);
  write(#4);
  gotoxy(wherex-2,wherey-9);
  textcolor(8);
  write(#5);
  gotoxy(wherex-13,wherey+10);
  write(#6);
  gotoxy(wherex+5,wherey-5);
  textcolor(white);
  write(#15);
  gotoxy(63,25);
  textcolor(8+blink);
  write('Bitte Leertaste ',#25);
  repeat bew:=readkey until bew=#32;
  clrscr;
  textcolor(white);
  writeln('Du bist ein Junge aus einem kleinen Dorf und fhrst ein unbeschwertes');
  writeln('Leben, bis du von der Zerstrung des Artefaktes hrst. Du bist fest');
  write('entschlossen das Artefakt wieder zusammenzusetzen.');
  gotoxy(40,11);
  write(#2);
  gotoxy(63,25);
  textcolor(8+blink);
  write('Bitte Leertaste ',#25);
  repeat bew:=readkey until bew=#32;
  clrscr;
  textcolor(white);
  write('Du machst dich sofort auf den Weg, das Schicksal der Welt hngt von dir ab.');
  gotoxy(40,11);
  write(#2);
  gotoxy(wherex-10,wherey+4);
  textcolor(lightgreen);
  write(#15);
  gotoxy(wherex+20,wherey-2);
  textcolor(8);
  write(#220);
  gotoxy(63,25);
  textcolor(8+blink);
  write('Bitte Leertaste ',#25);
  repeat bew:=readkey until bew=#32;
end;

procedure newworld;
begin
  for i:=1 to max do
    begin
      gposx[i]:=random(84);
      gposy[i]:=random(25);
      bposx[i]:=random(80);
      bposy[i]:=random(24);
    end;
  textcolor(0);
  for i:=1 to max do
    begin
      gotoxy(gposx[i],gposy[i]);
      write(#220);
    end;
  textcolor(lightgreen);
  for i:=1 to max do
    begin
      gotoxy(bposx[i],bposy[i]);
      write(#15);
    end;
end;

procedure Levelpartone;
begin
  clrscr;
  randomize;
  randomize;
  newworld;
  repeat
    randomize;
    j:=1;
    pposx:=random(80);
    pposy:=random(25);
    for i:=1 to 26 do
      begin
        if ((gposx[i]=pposx)   and (gposy[i]=pposy)) or ((bposx[i]=pposx)   and (bposy[i]=pposy))
        or ((gposx[i]+1=pposx) and (gposy[i]=pposy)) or ((bposx[i]+1=pposx) and (bposy[i]=pposy)) then j:=0;
      end;
  {  bew:=readkey;
    if bew=#32 then j:=1; }
  until j=1;
  gotoxy(pposx,pposy);
  textcolor(red);
end;

procedure Levelparttwo;

begin
  posx:=random(80);
  posy:=random(25);
  startx:=posx;
  starty:=posy;
  gotoxy(posx,posy);
  textcolor(white);
  write(#2);
end;

procedure Levelpartthree;
begin
 if keypressed then
    begin
      bew:=readkey;
      case bew of
      #27 : ende1:=true;
      #0 : begin
             bew:=readkey;
             case bew of
             #27 : ende1:=true;
             #72 : richtung:=1;
             #75 : richtung:=2;
             #77 : richtung:=3;
             #80 : richtung:=4;
             end;
           end;
      end;
    end;
  oldposx:=posx;
  oldposy:=posy;
  if richtung=1 then dec(posy);
  if richtung=2 then dec(posx);
  if richtung=3 then inc(posx);
  if richtung=4 then inc(posy);
  if posx<1 then posx:=1;
  if posy<1 then posy:=1;
  if posx>80 then posx:=80;
  if posy>24 then posy:=24;
  if (posx<>oldposx) or (posy<>oldposy) then
    begin
      if (posx<>startx) or (posy<>starty) then
        begin
          gotoxy(startx,starty);
          textcolor(lightcyan);
          write(#9);
        end;
    end;
  for i:=1 to max do
    begin
      if (gposx[i]=posx) and (gposy[i]=posy) then
        begin
          gotoxy(wherex-1,wherey);
          write(' ');
          gotoxy(startx,starty);
          write(#2);
          posx:=startx;
          posy:=starty;
        end;
    end;
  for i:=1 to max do
    begin
      if (bposx[i]=posx) and (bposy[i]=posy) then
        begin
          gotoxy(oldposx,oldposy);
          textcolor(white);
          write(#2);
          posx:=oldposx;
          posy:=oldposy;
        end;
    end;
  if (oldposx<>posx) or (oldposy<>posy) then
    begin
      textcolor(white);
      gotoxy(posx,posy);
      write('');
      gotoxy(oldposx,oldposy);
      write(' ');
      richtung:=0;
    end;
  if (posx=pposx) and (posy=pposy) then ende:=true;
  gotoxy(80,25);
end;

procedure Anleitung;
begin
  clrscr;
  textcolor(red);
  gotoxy(22,2);
  write('Die Anleitung fr REVELATION MENTIS');
  textcolor(lightcyan);
  gotoxy(8,4);
  write('Die Steuerung');
  gotoxy(5,6);
  textcolor(lightgreen);
  write(#24,' : ein Schritt nach oben');
  gotoxy(5,8);
  write(#25,' : ein Schritt nach unten');
  gotoxy(5,10);
  write(#27,' : ein Schritt nach links');
  gotoxy(5,12);
  write(#26,' : ein Schritt nach rechts');
  textcolor(lightred);
  gotoxy(46,4);
  write('Die Elemente');
  gotoxy(40,6);
  textcolor(lightcyan);
  write(#9);
  textcolor(14);
  write(' : Startfeld, hier');
  gotoxy(44,7);
  write('startest du und wirst');
  gotoxy(44,8);
  write('hierhin zurckgebracht');
  gotoxy(44,9);
  write('wenn du in einen Graben');
  gotoxy(44,10);
  write('fllst.');
  gotoxy(40,12);
  textcolor(lightgreen);
  write(#15);
  textcolor(14);
  write(' : Busch, du musst drum-');
  gotoxy(44,13);
  write('herum laufen.');
  gotoxy(40,15);
  textcolor(8);
  write(#220);
  textcolor(14);
  write(' : Abgrund, wenn du hinein-');
  gotoxy(44,16);
  write('fllst musst du das');
  gotoxy(44,17);
  write('Level von vorn beginnen.');
  gotoxy(40,19);
  textcolor(white);
  write(#2);
  textcolor(14);
  write(' : Das bist du.');
  gotoxy(37,21);
  textcolor(red);
  write(#4);
  textcolor(8);
  write(#5);
  textcolor(red);
  write(#3);
  textcolor(8);
  write(#6);
  textcolor(14);
  write(' : Artefaktteile, finde');
  gotoxy(44,22);
  write('sie alle um die Welt');
  gotoxy(44,23);
  write('zu retten.');
  gotoxy(63,25);
  textcolor(8+blink);
  write('Bitte Leertaste ',#25);
  repeat bew:=readkey until bew=#32;
end;

procedure MakeTitleScreen;
begin
  Textcolor(8);
  gotoxy(8,7);
  write('       .                             .;;;.       ');
  gotoxy(8,8);
  write('     .:::.                          :::::::      ');
  gotoxy(8,9);
  write('   .:::::::.                    .;;;.',#96,';:;',#239,'.;;;.  ');
  gotoxy(8,10);
  write(' .:::::::::::.                 ::::::',#239,':::',#96,':::::: ');
  gotoxy(8,11);
  write(':::::::::::::::                ',#96,'::::;:::::;::::',#239,' ');
  gotoxy(8,12);
  write(#96,':::::::::::::',#239,'                  ',#96,#96,#239'  \:/  ',#96,#239,#239'   ');
  gotoxy(8,13);
  write('  ',#96,#96,#239,' .:. ',#96,#239,#239,'                         ;:;        ');
  gotoxy(8,14);
  write('     ',#239,#239,#96,#96,#96,'                           ',#239,#239,#96,#96,#96,'       ');
  textcolor(red);
  gotoxy(23,7);
  write('       .       ');
  gotoxy(23,8);
  write('     .:::.     ');
  gotoxy(23,9);
  write('   .:::::::.   ');
  gotoxy(23,10);
  write(' .:::::::::::. ');
  gotoxy(23,11);
  write('  ',#96,':::::::::',#239,'  ');
  gotoxy(23,12);
  write('    ',#96,':::::',#239,'    ');
  gotoxy(23,13);
  write('      :::      ');
  gotoxy(23,14);
  write('       "       ');
  gotoxy(57,7);
  write('    ...   ...    ');
  gotoxy(57,8);
  write('  .:::::::::::.  ');
  gotoxy(57,9);
  write(' ::::::::::::::: ');
  gotoxy(57,10);
  write(' ',#96,':::::::::::::',#239,' ');
  gotoxy(57,11);
  write('   ',#96,':::::::::',#239,'   ');
  gotoxy(57,12);
  write('     ',#96,':::::',#239,'     ');
  gotoxy(57,13);
  write('       :::       ');
  gotoxy(57,14);
  write('        "        ');
  gotoxy(1,1);
  textcolor(lightcyan);
  write('    __   __       __          ___     _                   __       ___    __    ');
  write('   |  \ |   |  | |   |    /\   |  |  / \  |\  |   |\  /| |   |\  |  |  | /      ');
  write('   |__/ |-- \  / |-- |   |--|  |  | |   | | \ |   | \/ | |-- | \ |  |  | ',#96,'--.   ');
  write('   |  \ |__  \/  |__ |__ |  |  |  |  \_/  |  \|   |    | |__ |  \|  |  |  __/   ');
end;

procedure Menue;
begin
  ende1:=false;
  textbackground(0);
  clrscr;
  MakeTitleScreen;
  gotoxy(36,16);
  textcolor(white);
  write('S');
  textcolor(7);
  write('tart');
  gotoxy(36,18);
  textcolor(white);
  write('P');
  textcolor(7);
  write('asswort');
  gotoxy(36,20);
  textcolor(white);
  write('I');
  textcolor(7);
  write('ntro');
  gotoxy(36,22);
  textcolor(white);
  write('A');
  textcolor(7);
  write('nleitung');
  gotoxy(36,25);
  textcolor(white);
  write('E');
  textcolor(7);
  write('xit');
  gotoxy(80,25);
end;

procedure LevelOneWon;
begin
  textbackground(0);
  clrscr;
  textcolor(white);
  gotoxy(3,2);
  write('Du hast Teil ');
  textcolor(red);
  write(#4);
  textcolor(white);
  write(' des Artefaktes gefunden! Suche nach dem Nchsten!');
  gotoxy(20,13);
  textcolor(14);
  write('Passwort : 33071649');
  gotoxy(63,25);
  textcolor(8+blink);
  write('Bitte Leertaste ',#25);
  repeat bew:=readkey until bew=#32;
  ende:=false;
end;

procedure LevelTwoWon;
begin
  textbackground(0);
  clrscr;
  textcolor(white);
  gotoxy(3,2);
  write('Du hast Teil ');
  textcolor(8);
  write(#5);
  textcolor(white);
  write(' des Artefaktes gefunden! Suche nach dem Nchsten!');
  gotoxy(20,13);
  textcolor(14);
  write('Passwort : 16794072');
  gotoxy(63,25);
  textcolor(8+blink);
  write('Bitte Leertaste ',#25);
  repeat bew:=readkey until bew=#32;
  ende:=false;
end;

procedure LevelThreeWon;
begin
  textbackground(0);
  clrscr;
  textcolor(white);
  gotoxy(3,2);
  write('Du hast Teil ');
  textcolor(red);
  write(#3);
  textcolor(white);
  writeln(' des Artefaktes gefunden! Der nchste Teil ist im Reich von');
  gotoxy(3,3);
  writeln('Lord Omega.Wenn du es schaffst, den Teil zu finden ist die Welt gerettet!');
  gotoxy(20,13);
  textcolor(14);
  write('Passwort : 76198243');
  gotoxy(63,25);
  textcolor(8+blink);
  write('Bitte Leertaste ',#25);
  repeat bew:=readkey until bew=#32;
  ende:=false;
end;

procedure LevelFour;
begin
  textbackground(red);
  clrscr;
  randomize;
  randomize;
  for i:=1 to max do
    begin
      gposx[i]:=random(84);
      gposy[i]:=random(25);
      bposx[i]:=random(80);
      bposy[i]:=random(24);
    end;
  textcolor(14);
  for i:=1 to max do
    begin
      gotoxy(gposx[i],gposy[i]);
      write(#220);
    end;
  textcolor(8);
  for i:=1 to max do
    begin
      gotoxy(bposx[i],bposy[i]);
      write(#15);
    end;
  pposx:=random(80);
  pposy:=random(25);
  gotoxy(pposx,pposy);
  textcolor(0);
  write(#6);
  posx:=random(80);
  posy:=random(25);
  startx:=posx;
  starty:=posy;
  gotoxy(posx,posy);
  textcolor(white);
  write(#2);
  repeat
    Levelpartthree;
  until (ende=true) or (ende1=true);
  if (ende1=false) then
     begin
       textbackground(0);
       clrscr;
       textcolor(white);
       gotoxy(3,2);
       write('Du hast Teil ');
       textcolor(8);
       write(#6);
       textcolor(white);
       write(' des Artefaktes gefunden! Unsere Welt ist gerettet!');
       gotoxy(63,25);
       textcolor(8+blink);
       write('Bitte Leertaste ',#25);
       repeat bew:=readkey until bew=#32;
       ende:=false;
     end;
end;

begin
  Menue;
  repeat
    bew:=readkey;
    if bew='s' then
      begin
        textbackground(green);
        Levelpartone;
        write(#4);
        Levelparttwo;
        repeat
          Levelpartthree
        until (ende=true) or (ende1=true);
        if ende1=false then
          begin
            LevelOneWon;
            textbackground(green);
            Levelpartone;
            textcolor(0);
            write(#5);
            Levelparttwo;
            repeat
              Levelpartthree;
            until (ende=true) or (ende1=true);
            if ende1=false then
              begin
                LevelTwoWon;
                textbackground(green);
                Levelpartone;
                textcolor(red);
                write(#3);
                Levelparttwo;
                repeat
                  Levelpartthree;
                until (ende=true) or (ende1=true);
                if ende1=false then
                  begin
                    LevelThreeWon;
                    LevelFour;
                  end;
              end;
          end;
        Menue;
      end;
    if bew='i' then
      begin
        Intro;
        Menue;
      end;
    if bew='a' then
      begin
        Anleitung;
        Menue;
      end;
    if bew='p' then
      begin
        textcolor(white);
        gotoxy(30,12);
        write(#201#205#205#205#205#205#205#205#205#205#205#205#205#205#205#205#205#205#205#205#205#187);
        gotoxy(30,13);
        write(#186);
        textcolor(7);
        write(' Passwort : _______ ');
        textcolor(white);
        write(#186);
        gotoxy(30,14);
        write(#200#205#205#205#205#205#205#205#205#205#205#205#205#205#205#205#205#205#205#205#205#188);
        gotoxy(42,13);
        textcolor(7);
        readln(password);
        if password='33071649' then
          begin
            textbackground(green);
            Levelpartone;
            textcolor(0);
            write(#5);
            Levelparttwo;
            repeat
              Levelpartthree;
            until ende=true;
            LevelTwoWon;
            textbackground(green);
            Levelpartone;
            textcolor(red);
            write(#3);
            Levelparttwo;
            repeat
              Levelpartthree;
            until ende=true;
            LevelThreeWon;
            LevelFour;
            Menue;
          end;
        if password='16794072' then
          begin
            textbackground(green);
            Levelpartone;
            textcolor(red);
            write(#3);
            Levelparttwo;
            repeat
              Levelpartthree;
            until ende=true;
            LevelThreeWon;
            LevelFour;
            Menue;
          end;
        if password='76198243' then
          begin
            LevelFour;
            Menue;
          end;
        Menue;
      end;
    if bew='e' then
      begin
      end;
 until bew='e';
end.
